package com.example.entity;

import com.alibaba.fastjson2.JSONObject;
import lombok.Data;

@Data
public class Response {
    int id;
    int code;
    Object data;
    String message;

    public boolean success(){
        return code == 200;
    }

    public JSONObject ofJson() {
        return JSONObject.from(data);
    }

    public String ofString() {
        return data.toString();
    }

    public static Response errorResponse(Exception e) {
        Response response = new Response();
        response.setCode(500);
        response.setMessage(e.getMessage());
        return response;
    }
}
